Class CfnRoutePropsMixin.Builder
- All Implemented Interfaces:
software.amazon.jsii.Builder<CfnRoutePropsMixin>
- Enclosing class:
CfnRoutePropsMixin
CfnRoutePropsMixin.-
Method Summary
Modifier and TypeMethodDescriptionThe API identifier.The API identifier.apiKeyRequired(Boolean apiKeyRequired) Specifies whether an API key is required for the route.apiKeyRequired(IResolvable apiKeyRequired) Specifies whether an API key is required for the route.authorizationScopes(List<String> authorizationScopes) The authorization scopes supported by this route.authorizationType(String authorizationType) The authorization type for the route.authorizerId(String authorizerId) The identifier of theAuthorizerresource to be associated with this route.authorizerId(IAuthorizerRef authorizerId) The identifier of theAuthorizerresource to be associated with this route.build()static CfnRoutePropsMixin.Buildercreate()static CfnRoutePropsMixin.Buildercreate(CfnPropertyMixinOptions options) modelSelectionExpression(String modelSelectionExpression) The model selection expression for the route.operationName(String operationName) The operation name for the route.requestModels(Object requestModels) The request models for the route.requestParameters(Object requestParameters) The request parameters for the route.The route key for the route.routeResponseSelectionExpression(String routeResponseSelectionExpression) The route response selection expression for the route.The target for the route.target(IIntegrationRef target) The target for the route.
-
Method Details
-
create
- Parameters:
options- Mixin options.- Returns:
- a new instance of
CfnRoutePropsMixin.Builder.
-
create
- Returns:
- a new instance of
CfnRoutePropsMixin.Builder.
-
apiId
The API identifier.- Parameters:
apiId- The API identifier. This parameter is required.- Returns:
this- See Also:
-
apiId
The API identifier.- Parameters:
apiId- The API identifier. This parameter is required.- Returns:
this- See Also:
-
apiKeyRequired
Specifies whether an API key is required for the route.Supported only for WebSocket APIs.
- Parameters:
apiKeyRequired- Specifies whether an API key is required for the route. This parameter is required.- Returns:
this- See Also:
-
apiKeyRequired
Specifies whether an API key is required for the route.Supported only for WebSocket APIs.
- Parameters:
apiKeyRequired- Specifies whether an API key is required for the route. This parameter is required.- Returns:
this- See Also:
-
authorizationScopes
@Stability(Stable) public CfnRoutePropsMixin.Builder authorizationScopes(List<String> authorizationScopes) The authorization scopes supported by this route.- Parameters:
authorizationScopes- The authorization scopes supported by this route. This parameter is required.- Returns:
this- See Also:
-
authorizationType
The authorization type for the route.For WebSocket APIs, valid values are
NONEfor open access,AWS_IAMfor using AWS IAM permissions, andCUSTOMfor using a Lambda authorizer. For HTTP APIs, valid values areNONEfor open access,JWTfor using JSON Web Tokens,AWS_IAMfor using AWS IAM permissions, andCUSTOMfor using a Lambda authorizer.- Parameters:
authorizationType- The authorization type for the route. This parameter is required.- Returns:
this- See Also:
-
authorizerId
The identifier of theAuthorizerresource to be associated with this route.The authorizer identifier is generated by API Gateway when you created the authorizer.
- Parameters:
authorizerId- The identifier of theAuthorizerresource to be associated with this route. This parameter is required.- Returns:
this- See Also:
-
authorizerId
The identifier of theAuthorizerresource to be associated with this route.The authorizer identifier is generated by API Gateway when you created the authorizer.
- Parameters:
authorizerId- The identifier of theAuthorizerresource to be associated with this route. This parameter is required.- Returns:
this- See Also:
-
modelSelectionExpression
@Stability(Stable) public CfnRoutePropsMixin.Builder modelSelectionExpression(String modelSelectionExpression) The model selection expression for the route.Supported only for WebSocket APIs.
- Parameters:
modelSelectionExpression- The model selection expression for the route. This parameter is required.- Returns:
this- See Also:
-
operationName
The operation name for the route.- Parameters:
operationName- The operation name for the route. This parameter is required.- Returns:
this- See Also:
-
requestModels
The request models for the route.Supported only for WebSocket APIs.
- Parameters:
requestModels- The request models for the route. This parameter is required.- Returns:
this- See Also:
-
requestParameters
The request parameters for the route.Supported only for WebSocket APIs.
- Parameters:
requestParameters- The request parameters for the route. This parameter is required.- Returns:
this- See Also:
-
routeKey
The route key for the route.For HTTP APIs, the route key can be either
$default, or a combination of an HTTP method and resource path, for example,GET /pets.- Parameters:
routeKey- The route key for the route. This parameter is required.- Returns:
this- See Also:
-
routeResponseSelectionExpression
@Stability(Stable) public CfnRoutePropsMixin.Builder routeResponseSelectionExpression(String routeResponseSelectionExpression) The route response selection expression for the route.Supported only for WebSocket APIs.
- Parameters:
routeResponseSelectionExpression- The route response selection expression for the route. This parameter is required.- Returns:
this- See Also:
-
target
The target for the route.- Parameters:
target- The target for the route. This parameter is required.- Returns:
this- See Also:
-
target
The target for the route.- Parameters:
target- The target for the route. This parameter is required.- Returns:
this- See Also:
-
build
- Specified by:
buildin interfacesoftware.amazon.jsii.Builder<CfnRoutePropsMixin>- Returns:
- a newly built instance of
CfnRoutePropsMixin.
-